## pstreams 0.5.0

=== Makefile ===
# $Id: Makefile,v 1.21 2004/10/17 16:07:32 redi Exp $
# PStreams Makefile
# Copyright (C) Jonathan Wakely
#
# This file is part of PStreams.
# 
# PStreams is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
# 
# PStreams is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with PStreams; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# TODO configure script (allow doxgenatiing of EVISCERATE functions)

OPTIM=-g3
EXTRA_CFLAGS=
EXTRA_CXXFLAGS=

CFLAGS=-std=c++98 -pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
CXXFLAGS=$(CFLAGS) -Woverloaded-virtual

SOURCES = pstream.h
GENERATED_FILES = ChangeLog MANIFEST
EXTRA_FILES = AUTHORS COPYING.LIB Doxyfile INSTALL Makefile README \
	    mainpage.html test_pstreams.cc test_minimum.cc

DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)

VERS = 0.5.0

all: docs $(GENERATED_FILES)

test: test_pstreams test_minimum
	@./test_minimum >/dev/null 2>&1 || echo "TEST EXITED WITH STATUS $$?"
	@./test_pstreams >/dev/null || echo "TEST EXITED WITH STATUS $$?"

test_pstreams: test_pstreams.cc pstream.h
	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) -o $@ $<

test_minimum: test_minimum.cc pstream.h
	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) -o $@ $<

MANIFEST: Makefile
	@for i in $(DIST_FILES) ; do echo "pstreams-$(VERS)/$$i" ; done > $@

docs: pstream.h mainpage.html
	@doxygen Doxyfile

mainpage.html: Makefile
	@perl -pi -e "s/^(<p>Version) [0-9\.]*(<\/p>)/\1 $(VERS)\2/" $@

ChangeLog:
	@if [ -f CVS/Root ] ; then cvs2cl.pl ; fi

packages: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz

pstreams-$(VERS).tar.gz: pstream.h $(GENERATED_FILES)
	@ln -s . pstreams-$(VERS)
	@tar -czvf $@ `cat MANIFEST`
	@rm pstreams-$(VERS)

pstreams-docs-$(VERS).tar.gz: docs
	@ln -s doc/html pstreams-docs-$(VERS)
	@tar -czvhf $@ pstreams-docs-$(VERS)
	@rm pstreams-docs-$(VERS)

TODO : pstream.h mainpage.html test_pstreams.cc
	@grep -nH TODO $^ | sed -e 's@ *// *@@' > $@

clean:
	@rm -f  test_minimum test_pstreams

.PHONY: TODO test ChangeLog

## pstreams 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.21 2004/10/17 16:07:32 redi Exp $
+# $Id: Makefile,v 1.24 2005/06/11 09:38:40 redi Exp $
 # PStreams Makefile
 # Copyright (C) Jonathan Wakely
 #
@@ -18,14 +18,16 @@
 # along with PStreams; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-# TODO configure script (allow doxgenatiing of EVISCERATE functions)
+# TODO configure script (allow doxgenating of EVISCERATE functions)
 
 OPTIM=-g3
 EXTRA_CFLAGS=
 EXTRA_CXXFLAGS=
 
-CFLAGS=-std=c++98 -pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
-CXXFLAGS=$(CFLAGS) -Woverloaded-virtual
+CFLAGS=-pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
+CXXFLAGS=$(CFLAGS) -std=c++98 -Woverloaded-virtual
+
+INSTALL_PREFIX=/usr/local
 
 SOURCES = pstream.h
 GENERATED_FILES = ChangeLog MANIFEST
@@ -34,7 +36,7 @@
 
 DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)
 
-VERS = 0.5.0
+VERS = 0.5.2
 
 all: docs $(GENERATED_FILES)
 
@@ -43,10 +45,10 @@
 	@./test_pstreams >/dev/null || echo "TEST EXITED WITH STATUS $$?"
 
 test_pstreams: test_pstreams.cc pstream.h
-	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) -o $@ $<
+	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
 
 test_minimum: test_minimum.cc pstream.h
-	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) -o $@ $<
+	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
 
 MANIFEST: Makefile
 	@for i in $(DIST_FILES) ; do echo "pstreams-$(VERS)/$$i" ; done > $@
@@ -60,7 +62,7 @@
 ChangeLog:
 	@if [ -f CVS/Root ] ; then cvs2cl.pl ; fi
 
-packages: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz
+dist: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz
 
 pstreams-$(VERS).tar.gz: pstream.h $(GENERATED_FILES)
 	@ln -s . pstreams-$(VERS)
@@ -78,5 +80,9 @@
 clean:
 	@rm -f  test_minimum test_pstreams
 
+install:
+	@install -d $(INSTALL_PREFIX)/include/pstreams
+	@install -Cv -m0644 pstream.h $(INSTALL_PREFIX)/include/pstreams
+
 .PHONY: TODO test ChangeLog

## pstreams 0.7.0

=== Makefile ===
# $Id: Makefile,v 1.38 2010/05/12 15:45:21 redi Exp $
# PStreams Makefile
# Copyright (C) Jonathan Wakely
#
# This file is part of PStreams.
# 
# PStreams is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# PStreams is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# TODO configure script (allow doxgenating of EVISCERATE functions)

OPTIM= -O1 -g3
EXTRA_CFLAGS=
EXTRA_CXXFLAGS=

CFLAGS=-pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
CXXFLAGS=$(CFLAGS) -std=c++98 -Woverloaded-virtual

prefix = /usr/local
includedir = $(prefix)/include
INSTALL = install
INSTALL_DATA = $(INSTALL) -p -v -m 0644

SOURCES = pstream.h
GENERATED_FILES = ChangeLog MANIFEST
EXTRA_FILES = AUTHORS COPYING.LIB Doxyfile INSTALL Makefile README \
	    mainpage.html test_pstreams.cc test_minimum.cc pstreams-devel.spec

DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)

VERS = 0.7.0

all: docs $(GENERATED_FILES)

check: pstreams.wout run_tests

test: check

run_tests: test_pstreams test_minimum
	@for test in $^ ; do echo $$test ; ./$$test >/dev/null 2>&1 || echo "$$test EXITED WITH STATUS $$?" ; done

test_%: test_%.cc pstream.h
	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<

MANIFEST: Makefile
	@for i in $(DIST_FILES) ; do echo "pstreams-$(VERS)/$$i" ; done > $@

docs: pstream.h mainpage.html
	@doxygen Doxyfile

mainpage.html: Makefile
	@perl -pi -e "s/^(<p>Version) [0-9\.]*(<\/p>)/\1 $(VERS)\2/" $@

ChangeLog:
	@if [ -f CVS/Root ] ; then cvs2cl --no-times -U usermap -F trunk ; fi

dist: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz

pstreams-$(VERS).tar.gz: pstream.h $(GENERATED_FILES)
	@ln -s . pstreams-$(VERS)
	@tar -czvf $@ `cat MANIFEST`
	@rm pstreams-$(VERS)

pstreams-docs-$(VERS).tar.gz: docs
	@ln -s doc/html pstreams-docs-$(VERS)
	@tar -czvhf $@ pstreams-docs-$(VERS)
	@rm pstreams-docs-$(VERS)

TODO : pstream.h mainpage.html test_pstreams.cc
	@grep -nH TODO $^ | sed -e 's@ *// *@@' > $@

clean:
	@rm -f  test_minimum test_pstreams
	@rm -rf doc TODO

install:
	@install -d $(DESTDIR)$(includedir)/pstreams
	@$(INSTALL_DATA) pstream.h $(DESTDIR)$(includedir)/pstreams/pstream.h

pstreams.wout:
	@echo "Wide Load" | iconv -f ascii -t UTF-32 > $@

.PHONY: TODO check test ChangeLog run_tests

=== debian/changelog ===
pstreams (0.7.0-2ubuntu1) precise; urgency=low

  * Remove -Werror from CFLAGS, it's causing build failure.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 27 Nov 2011 14:34:46 +0400

pstreams (0.7.0-2) unstable; urgency=low

  * Rename deprecated(3); that's a too generic name for a manpage.
    Closes: #648298

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 10 Nov 2011 09:39:19 -0200

pstreams (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * Migrate to debhelper 7
  * Bump standards version to 3.9.2. No changes needed
  * Remove article from start of short description
  * Add ${misc:Depends} to dependency list
  * Use 3.0 (quilt) format
  * Remove duplicate word ("the the") from description
  * Add Homepage: field to debian/control
  * Upstream changed license to LGPL-3+; debian/copyright updated and rewriten
    using DEP5 format
  * Added DEP8-style tests

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 08 Nov 2011 16:05:36 -0200

pstreams (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Antonio S. de A. Terceiro <asaterceiro@inf.ufrgs.br>  Sun, 17 Jul 2005 19:35:46 -0300

pstreams (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #276612).
  * Makefile: added install target to install the header file.
  * Makefile: complemented clean target to delete generated documentation.
  * renamed deprecated(3) manpage to pstreams_deprecated(3), as the prior name
    would be too generic for a manpage.

 -- Antonio S. de A. Terceiro <asaterceiro@inf.ufrgs.br>  Sun, 17 Oct 2004 16:48:33 -0200

=== debian/control ===
Source: pstreams
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
Uploaders: martin f. krafft <madduck@debian.org>
Build-Depends-Indep: debhelper (>= 7.0.50~), doxygen, perl
Standards-Version: 3.9.2
Homepage: http://pstreams.sourceforge.net/

Package: libpstreams-dev
Architecture: all
Depends: ${misc:Depends}
Description: C++ iostream interface to POSIX process I/O
 PStreams allows you to run another program from your C++ application and to
 transfer data between the two programs, similar to shell pipelines. The
 PStreams class works like a wrapper for the POSIX.2 functions popen(3) and
 pclose(3) (although it doesn't actually use them), using a C++ iostreams
 interface, instead of C's stdio library. Thus, PStreams makes it possible to
 run an external program and handle its stdin, stdout, and stderr just like you
 would handle any other C++ iostream.

## pstreams 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.38 2010/05/12 15:45:21 redi Exp $
+# $Id: Makefile,v 1.39 2010/10/14 21:35:22 redi Exp $
 # PStreams Makefile
 # Copyright (C) Jonathan Wakely
 #
@@ -17,10 +17,9 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# TODO configure script (allow doxgenating of EVISCERATE functions)
+# TODO configure script (allow doxygenating of EVISCERATE functions)
 
 OPTIM= -O1 -g3
-EXTRA_CFLAGS=
 EXTRA_CXXFLAGS=
 
 CFLAGS=-pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
@@ -38,16 +37,14 @@
 
 DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)
 
-VERS = 0.7.0
+VERS := $(shell awk -F' ' '/^\#define *PSTREAMS_VERSION/{ print $$NF }' pstream.h)
 
 all: docs $(GENERATED_FILES)
 
-check: pstreams.wout run_tests
+check: test_pstreams test_minimum | pstreams.wout
+	@for test in $^ ; do echo $$test ; ./$$test >/dev/null 2>&1 || echo "$$test EXITED WITH STATUS $$?" ; done
 
-test: check
-
-run_tests: test_pstreams test_minimum
-	@for test in $^ ; do echo $$test ; ./$$test >/dev/null 2>&1 || echo "$$test EXITED WITH STATUS $$?" ; done
+test run_tests: check
 
 test_%: test_%.cc pstream.h
 	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
@@ -58,11 +55,11 @@
 docs: pstream.h mainpage.html
 	@doxygen Doxyfile
 
-mainpage.html: Makefile
+mainpage.html: pstream.h Makefile
 	@perl -pi -e "s/^(<p>Version) [0-9\.]*(<\/p>)/\1 $(VERS)\2/" $@
 
 ChangeLog:
-	@if [ -f CVS/Root ] ; then cvs2cl --no-times -U usermap -F trunk ; fi
+	@if [ -d .git ]; then git log --no-merges | grep -v '^commit ' > $@ ; fi
 
 dist: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz

=== debian/changelog ===
pstreams (0.8.0-2) unstable; urgency=medium

  * debian/tests/control: add missing dependencies to be able to run the test
    suite in a clean environment.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 12 Jan 2014 12:08:38 -0300

pstreams (0.8.0-1) unstable; urgency=medium

  * Add Vcs-* fields to debian/control
  * Remove martin f. krafft from Uploaders per his request.
    Thanks to martin for sponsoring my first package in Debian back in the day
    (Closes: #719103)
  * Imported Upstream version 0.8.0
  * Bump Standards-Version to 3.9.4; no changes needed
  * debian/control: add `XS-Testsuite: autopkgtest` (Closes: #692665)
  * debian/patches/dont-update-generated-files.patch: avoid updating generated
    files when building the Debian package

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 15 Dec 2013 19:11:11 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pstreams
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
-Uploaders: martin f. krafft <madduck@debian.org>
+Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends-Indep: debhelper (>= 7.0.50~), doxygen, perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://pstreams.sourceforge.net/
+Vcs-Git: git://git.debian.org/collab-maint/pstreams.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/pstreams.git;a=summary
+XS-Testsuite: autopkgtest
 
 Package: libpstreams-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Add here commands to compile the package.
	$(MAKE) docs
	$(MAKE) TODO
	sed -i -e 's/ -1 / \\-1 /g' doc/man/man3/*
	dh_auto_build

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/libpstreams-dev

override_dh_installman:
	dh_installman
	#rename deprecated(3), that's a too generic name for a manpage.
	mv $(CURDIR)/debian/libpstreams-dev/usr/share/man/man3/deprecated.3 $(CURDIR)/debian/libpstreams-dev/usr/share/man/man3/pstreams_deprecated.3

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pstreams.wout

=== debian/watch ===
# pstreams has weird version numbers (e.g. 0.17 which is older then 0.5.x, so
# we'll stick to one digit in the minor version number as a workaround)
version=3
http://pstreams.sourceforge.net/download/ .*pstreams-([0-9]+\.[0-9]\.[0-9+]).tar.gz

## pstreams 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# $Id: Makefile,v 1.39 2010/10/14 21:35:22 redi Exp $
 # PStreams Makefile
 # Copyright (C) Jonathan Wakely
 #

## pstreams 1.0.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 OPTIM= -O1 -g3
 EXTRA_CXXFLAGS=
 
-CFLAGS=-pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
+CFLAGS=-pedantic -Werror -Wall -Wextra -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls -Wshadow $(OPTIM)
 CXXFLAGS=$(CFLAGS) -std=c++98 -Woverloaded-virtual
 
 prefix = /usr/local
@@ -62,6 +62,9 @@
 
 dist: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz
 
+srpm: pstreams-$(VERS).tar.gz
+	@rpmbuild -ts $<
+
 pstreams-$(VERS).tar.gz: pstream.h $(GENERATED_FILES)
 	@ln -s . pstreams-$(VERS)
 	@tar -czvf $@ `cat MANIFEST`
@@ -78,6 +81,7 @@
 clean:
 	@rm -f  test_minimum test_pstreams
 	@rm -rf doc TODO
+	@rm -f  *.tar.gz
 
 install:
 	@install -d $(DESTDIR)$(includedir)/pstreams
@@ -86,5 +90,5 @@
 pstreams.wout:
 	@echo "Wide Load" | iconv -f ascii -t UTF-32 > $@
 
-.PHONY: TODO check test ChangeLog run_tests
+.PHONY: TODO check test ChangeLog run_tests dist srpm

=== debian/changelog ===
pstreams (1.0.0-1) unstable; urgency=medium

  * Use http sf.net URL because https does not work
  * Marked as Multi-Arch: foreign
  * New upstream version 1.0.0 (Closes: #796730)

 -- Eugene Seliverstov <theirix@gmail.com>  Thu, 12 Jan 2017 11:44:32 +0300

pstreams (0.8.1-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/watch: point at the sf.net redirector

  [ Eugene Seliverstov ]
  * New upstream version 0.8.1
  * Bumped compat to 9
  * Replaced bundled jquery with standard libjs-jquery
  * Added doc-base manifest
  * Bumped Standard-Version to 3.9.8
  * Updated VCS and homepage links
  * Use Testsuite instead of XS-Testsuite
  * Adopted package (Closes: #796783)
  * Updated copyright file to copyright-format 1.0
  * Reverted 0.8.0-3 changelog

 -- Eugene Seliverstov <theirix@gmail.com>  Sat, 26 Nov 2016 15:53:02 +0300

=== debian/control ===
Source: pstreams
Section: libdevel
Priority: optional
Maintainer: Eugene Seliverstov <theirix@gmail.com>
Build-Depends-Indep: debhelper (>= 9), doxygen, perl
Standards-Version: 3.9.8
Homepage: http://pstreams.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pstreams.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pstreams.git
Testsuite: autopkgtest

Package: libpstreams-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: C++ iostream interface to POSIX process I/O
 PStreams allows you to run another program from your C++ application and to
 transfer data between the two programs, similar to shell pipelines. The
 PStreams class works like a wrapper for the POSIX.2 functions popen(3) and
 pclose(3) (although it doesn't actually use them), using a C++ iostreams
 interface, instead of C's stdio library. Thus, PStreams makes it possible to
 run an external program and handle its stdin, stdout, and stderr just like you
 would handle any other C++ iostream.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Add here commands to compile the package.
	$(MAKE) docs
	$(MAKE) TODO
	sed -i -e 's/ -1 / \\-1 /g' doc/man/man3/*
	dh_auto_build

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=debian/tmp
	$(RM) -f debian/tmp/usr/share/doc/libpstreams-dev/html/jquery.js

override_dh_installman:
	dh_installman
	#rename deprecated(3), that's a too generic name for a manpage.
	mv debian/libpstreams-dev/usr/share/man/man3/deprecated.3 debian/libpstreams-dev/usr/share/man/man3/pstreams_deprecated.3

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pstreams.wout

=== debian/watch ===
# pstreams has weird version numbers (e.g. 0.17 which is older then 0.5.x, so
# we'll stick to one digit in the minor version number as a workaround)
version=3
http://sf.net/pstreams/pstreams-([0-9]+\.[0-9]\.[0-9]+)\.tar\.gz

## pstreams 1.0.1

=== Makefile ===
# PStreams Makefile

#        Copyright (C) 2001 - 2017 Jonathan Wakely
# Distributed under the Boost Software License, Version 1.0.
#    (See accompanying file LICENSE_1_0.txt or copy at
#          http://www.boost.org/LICENSE_1_0.txt)
#

# TODO configure script (allow doxygenating of EVISCERATE functions)

OPTIM= -O1 -g3
EXTRA_CXXFLAGS=

CFLAGS=-pedantic -Wall -Wextra -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls -Wshadow $(OPTIM)
CXXFLAGS=$(CFLAGS) -std=c++98 -Woverloaded-virtual

prefix = /usr/local
includedir = $(prefix)/include
INSTALL = install
INSTALL_DATA = $(INSTALL) -p -v -m 0644

SOURCES = pstream.h
GENERATED_FILES = ChangeLog MANIFEST
EXTRA_FILES = AUTHORS LICENSE_1_0.txt Doxyfile INSTALL Makefile README \
	    mainpage.html test_pstreams.cc test_minimum.cc pstreams-devel.spec

DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)

VERS := $(shell awk -F' ' '/^\#define *PSTREAMS_VERSION/{ print $$NF }' pstream.h)

all: check-werror

check-werror:
	@rm -f test_pstreams test_minimum
	@$(MAKE) check EXTRA_CXXFLAGS=-Werror

check: test_pstreams test_minimum | pstreams.wout
	@for test in $^ ; do echo $$test ; ./$$test >/dev/null 2>&1 || echo "$$test EXITED WITH STATUS $$?" ; done

test run_tests: check

test_%: test_%.cc pstream.h
	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<

MANIFEST: Makefile
	@for i in $(DIST_FILES) ; do echo "pstreams-$(VERS)/$$i" ; done > $@

docs: pstream.h mainpage.html
	@doxygen Doxyfile

mainpage.html: pstream.h Makefile
	@perl -pi -e "s/^(<p>Version) [0-9\.]*(<\/p>)/\1 $(VERS)\2/" $@

ChangeLog:
	@if [ -d .git ]; then git log --no-merges | grep -v '^commit ' > $@ ; fi

dist: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz

srpm: pstreams-$(VERS).tar.gz
	@rpmbuild -ts $<

pstreams-$(VERS):
	@ln -s . $@

pstreams-$(VERS).tar.gz: pstream.h $(GENERATED_FILES) pstreams-$(VERS)
	@tar -czvf $@ `cat MANIFEST`

pstreams-docs-$(VERS):
	@ln -s doc/html $@

pstreams-docs-$(VERS).tar.gz: docs pstreams-docs-$(VERS)
	@tar -czvhf $@ pstreams-docs-$(VERS)

TODO : pstream.h mainpage.html test_pstreams.cc
	@grep -nH TODO $^ | sed -e 's@ *// *@@' > $@

clean:
	@rm -f  test_minimum test_pstreams
	@rm -rf doc TODO $(GENERATED_FILES)
	@rm -f  *.tar.gz pstreams-$(VERS) pstreams-docs-$(VERS)

install:
	@install -d $(DESTDIR)$(includedir)/pstreams
	@$(INSTALL_DATA) pstream.h $(DESTDIR)$(includedir)/pstreams/pstream.h

pstreams.wout:
	@echo "Wide Load" | iconv -f ascii -t UTF-32 > $@

.PHONY: TODO check test run_tests dist srpm
.INTERMEDIATE: $(GENERATED_FILES) pstreams-$(VERS) pstreams-docs-$(VERS)

=== debian/changelog ===
pstreams (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Updated policy to 4.0.0
  * Updated upstream copyright to BSL-1.0
  * Removed patch obsoleted by upstream
  * Added patch to keep non-generated files

 -- Eugene Seliverstov <theirix@gmail.com>  Fri, 21 Jul 2017 01:56:45 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Eugene Seliverstov <theirix@gmail.com>
 Build-Depends-Indep: debhelper (>= 9), doxygen, perl
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://pstreams.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pstreams.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pstreams.git

=== debian/tests/control ===
Tests: run-all
Depends: @, g++, make

## pstreams 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 # PStreams Makefile
 
-#        Copyright (C) 2001 - 2017 Jonathan Wakely
+#        Copyright (C) 2001 - 2020 Jonathan Wakely
 # Distributed under the Boost Software License, Version 1.0.
 #    (See accompanying file LICENSE_1_0.txt or copy at
 #          http://www.boost.org/LICENSE_1_0.txt)
 #
+# SPDX-License-Identifier: BSL-1.0
 
 # TODO configure script (allow doxygenating of EVISCERATE functions)
 
@@ -20,26 +21,37 @@
 INSTALL_DATA = $(INSTALL) -p -v -m 0644
 
 SOURCES = pstream.h
+TESTS = test_pstreams test_minimum
 GENERATED_FILES = ChangeLog MANIFEST
-EXTRA_FILES = AUTHORS LICENSE_1_0.txt Doxyfile INSTALL Makefile README \
+EXTRA_FILES = AUTHORS LICENSE_1_0.txt Doxyfile INSTALL.md Makefile README \
 	    mainpage.html test_pstreams.cc test_minimum.cc pstreams-devel.spec
 
 DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)
 
-VERS := $(shell awk -F' ' '/^\#define *PSTREAMS_VERSION/{ print $$NF }' pstream.h)
+HASH := \#
+VERS := $(shell awk -F' ' '/^$(HASH)define *PSTREAMS_VERSION/{ print $$NF }' pstream.h)
 
-all: check-werror
+all: $(TESTS) | pstreams.wout
 
-check-werror:
-	@rm -f test_pstreams test_minimum
-	@$(MAKE) check EXTRA_CXXFLAGS=-Werror
+check run_tests test: all
+	@for t in $(TESTS) ; do \
+	  echo $$t ; \
+	  ./$$t >/dev/null 2>&1 || echo "$$t EXITED WITH STATUS $$?" ; \
+	done
 
-check: test_pstreams test_minimum | pstreams.wout
-	@for test in $^ ; do echo $$test ; ./$$test >/dev/null 2>&1 || echo "$$test EXITED WITH STATUS $$?" ; done
+# TODO why does valgrind cause some tests to hang?
+check-valgrind: all
+	@for t in $(TESTS) ; do \
+	  echo $$t ; \
+	  valgrind --track-fds=yes ./$$t \
+	    || echo "$$t EXITED WITH STATUS $$?" ; \
+	  echo ; \
+	done
 
-test run_tests: check
+check-werror: EXTRA_CXXFLAGS := -Werror
+check-werror: check
 
-test_%: test_%.cc pstream.h
+test_%: test_%.cc pstream.h FORCE
 	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
 
 MANIFEST: Makefile
@@ -86,6 +98,7 @@
 pstreams.wout:
 	@echo "Wide Load" | iconv -f ascii -t UTF-32 > $@
 
-.PHONY: TODO check test run_tests dist srpm
+.PHONY: TODO check test run_tests dist srpm FORCE
 .INTERMEDIATE: $(GENERATED_FILES) pstreams-$(VERS) pstreams-docs-$(VERS)
 
+# vim: sw=2 ts=8 noexpandtab

=== debian/changelog ===
pstreams (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Updated policy to 4.5.0
  * Update debhelper to 12
  * Drop man page for unneeded docstring
  * Improve NAME for man pages
  * Update watch version to 4

 -- Eugene Seliverstov <theirix@gmail.com>  Sun, 13 Dec 2020 23:08:14 +0300

pstreams (1.0.1-2) unstable; urgency=medium

  * Switched git to Salsa
  * Removed Testsuite from control
  * Updated debian policy
  * Unapply patches from source

 -- Eugene Seliverstov <theirix@gmail.com>  Sat, 21 Jul 2018 17:03:26 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: libdevel
 Priority: optional
 Maintainer: Eugene Seliverstov <theirix@gmail.com>
-Build-Depends-Indep: debhelper (>= 9), doxygen, perl
-Standards-Version: 4.0.0
+Build-Depends-Indep: debhelper (>= 12), doxygen, perl
+Standards-Version: 4.5.1
 Homepage: http://pstreams.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pstreams.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pstreams.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/theirix-guest/pstreams.git
+Vcs-Browser: https://salsa.debian.org/theirix-guest/pstreams
 
 Package: libpstreams-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) docs
	$(MAKE) TODO
	$(RM) doc/man/man3/deprecated.3
	sed -i -e '/^.SH\ NAME/{n;s/ -1 / \\-1 /g;s/\\&.\s*$$//g;s/<.*>//g}' doc/man/man3/*
	dh_auto_build

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=debian/tmp
	$(RM) -f debian/tmp/usr/share/doc/libpstreams-dev/html/jquery.js

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pstreams.wout

=== debian/watch ===
# pstreams has weird version numbers (e.g. 0.17 which is older then 0.5.x, so
# we'll stick to one digit in the minor version number as a workaround)
version=4
http://sf.net/pstreams/pstreams-([0-9]+\.[0-9]\.[0-9]+)\.tar\.gz

## pstreams 1.0.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # PStreams Makefile
 
-#        Copyright (C) 2001 - 2020 Jonathan Wakely
+#        Copyright (C) 2001 - 2022 Jonathan Wakely
 # Distributed under the Boost Software License, Version 1.0.
 #    (See accompanying file LICENSE_1_0.txt or copy at
 #          http://www.boost.org/LICENSE_1_0.txt)
@@ -13,7 +13,7 @@
 EXTRA_CXXFLAGS=
 
 CFLAGS=-pedantic -Wall -Wextra -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls -Wshadow $(OPTIM)
-CXXFLAGS=$(CFLAGS) -std=c++98 -Woverloaded-virtual
+CXXFLAGS=$(CFLAGS) -Woverloaded-virtual
 
 prefix = /usr/local
 includedir = $(prefix)/include
@@ -34,24 +34,21 @@
 all: $(TESTS) | pstreams.wout
 
 check run_tests test: all
-	@for t in $(TESTS) ; do \
-	  echo $$t ; \
-	  ./$$t >/dev/null 2>&1 || echo "$$t EXITED WITH STATUS $$?" ; \
-	done
+	@status=0 ; \
+	log=`mktemp test.XXXXXX` ; \
+	for test in $(TESTS) ; do \
+	printf "Running %-20s ... " $$test ; \
+	./$$test >$$log 2>&1 && echo OK && continue ; \
+	echo "FAILED [exit status $$?]" ; cat $$log >&2 ; status=1; \
+	done ; \
+	rm $$log ; \
+	exit $$status
 
-# TODO why does valgrind cause some tests to hang?
-check-valgrind: all
-	@for t in $(TESTS) ; do \
-	  echo $$t ; \
-	  valgrind --track-fds=yes ./$$t \
-	    || echo "$$t EXITED WITH STATUS $$?" ; \
-	  echo ; \
-	done
-
-check-werror: EXTRA_CXXFLAGS := -Werror
-check-werror: check
+check-werror:
+	@$(MAKE) EXTRA_CXXFLAGS+=-Werror all check
 
 test_%: test_%.cc pstream.h FORCE
+	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $< -std=c++98
 	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
 
 MANIFEST: Makefile

=== debian/changelog ===
pstreams (1.0.4-2) unstable; urgency=medium

  * Update standards version to 4.7.3
  * Remove hardening patch
  * Ignore lack of hardening for test binaries
  * watch version 5

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 19 Jan 2026 12:03:37 +0000

pstreams (1.0.4-1) unstable; urgency=medium

  * Remove debian/compat
  * Use debhelper 13
  * Remove unneeded tmp dir removal
  * New upstream version 1.0.4
  * Enable hardening

 -- Eugene Seliverstov <theirix@gmail.com>  Thu, 08 Jan 2026 19:43:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pstreams
 Section: libdevel
-Priority: optional
 Maintainer: Eugene Seliverstov <theirix@gmail.com>
-Build-Depends-Indep: debhelper (>= 12), doxygen, perl
-Standards-Version: 4.5.1
+Build-Depends-Indep: debhelper (>= 13), doxygen, perl
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.3
 Homepage: http://pstreams.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/theirix-guest/pstreams.git
 Vcs-Browser: https://salsa.debian.org/theirix-guest/pstreams

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

execute_before_dh_auto_build:
	@echo 'blhc: ignore-line-regexp: .*test_[a-z0-9_]+.cc.*'
	$(MAKE) docs
	$(MAKE) TODO
	$(RM) doc/man/man3/deprecated.3
	sed -i -e '/^.SH\ NAME/{n;s/ -1 / \\-1 /g;s/\\&.\s*$$//g;s/<.*>//g}' doc/man/man3/*

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pstreams.wout

=== debian/watch ===
Version: 5
Source: http://sf.net/pstreams/
Matching-Pattern: pstreams-([0-9]+\.[0-9]\.[0-9]+)\.tar\.gz
